#!/bin/bash
OUTTER_NAME="NNRT"
PACKAGE_VERSION="6.2.RC2"
PACKAGE_DESCRIPTION="DaVinci AI Software"
PACKAGE_NAME="Ascend-cann-nnrt_6.2.RC2_linux-x86_64.run"
INSTALL_DIRECTORY="nnrt"
PACKAGE_VERSION_FORM="x86_64-linux"
PACKAGE_SHORT_NAME="nnrt"

# 路径
CUR_PATH="$(dirname $(readlink -f $0))"
PACKAGE_FILE=$CUR_PATH/${PACKAGE_NAME}

# 脚本入参的相关处理函数
function check_script_args() {
    if [ $# -ne 1 ] || [ "$1" != "show_info" ]; then
        echo "[${OUTTER_NAME}] [$(date +%Y%m%d-%H:%M:%S)] [ERROR] Unsupported parameters: $* !"
        exit 128
    fi
}

function show_info() {
    local install_path=$([ "$UID" = "0" ] && echo "/usr/local/Ascend" || echo "${HOME}/Ascend")
    if [[ "${OUTTER_NAME}" =~ "kernels" ]]; then
        local kernel_version_num=$(ls ${install_path}/*/*/opp/built-in/op_impl/ai_core/tbe/kernel/version.info 2>/dev/null | wc -l)
        if [ ${kernel_version_num} -lt 1 ]; then
            exit 2
        fi
    else
        local installed_info_num=$(ls ${install_path}/${INSTALL_DIRECTORY}/*/${PACKAGE_VERSION_FORM}/ascend_${PACKAGE_SHORT_NAME}_install.info 2>/dev/null | wc -l)
        if [ ${installed_info_num} -lt 1 ]; then
            exit 2
        fi
    fi
    echo "Name": "${OUTTER_NAME}"
    echo "Version": "${PACKAGE_VERSION}"
    echo "Description": "${PACKAGE_DESCRIPTION}"
    exit 0
}

# 程序开始
function main() {
    check_script_args $*
    show_info
}

main $*
